<?php  
class ControllerModuleCustomText extends Controller {
	protected function index($setting) {
		$this->language->load('module/custom_text');
		
    	
		$this->data['message'] = html_entity_decode($setting['description'][$this->config->get('config_language_id')], ENT_QUOTES, 'UTF-8');

		if (file_exists(DIR_TEMPLATE . $this->config->get('config_template') . '/template/module/custom_text.tpl')) {
			$this->template = $this->config->get('config_template') . '/template/module/custom_text.tpl';
		} else {
			$this->template = 'default/template/module/custom_text.tpl';
		}
		
		$this->render();
	}
}
?>